List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/device_event_measure_thresholds \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/device_event_measure_thresholds"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/device_event_measure_thresholds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/device_event_measure_thresholds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 1,
"green": 0,
"yellow": 0,
"red": 0,
"device_event_protocol_id": 1,
"device_event_measure_id": 1,
"created_at": "2025-06-04T10:39:37-03:00",
"modified_at": "2025-06-04T10:39:37-03:00",
"deleted_at": null,
"active": true
},
{
"id": 2,
"green": 0,
"yellow": 0,
"red": 0,
"device_event_protocol_id": 2,
"device_event_measure_id": 2,
"created_at": "2025-06-04T10:39:37-03:00",
"modified_at": "2025-06-04T10:39:37-03:00",
"deleted_at": null,
"active": true
},
{
"id": 3,
"green": 0,
"yellow": 0,
"red": 0,
"device_event_protocol_id": 3,
"device_event_measure_id": 3,
"created_at": "2025-06-04T10:39:37-03:00",
"modified_at": "2025-06-04T10:39:37-03:00",
"deleted_at": null,
"active": true
},
{
"id": 4,
"green": 0,
"yellow": 0,
"red": 0,
"device_event_protocol_id": 4,
"device_event_measure_id": 4,
"created_at": "2025-06-04T10:39:37-03:00",
"modified_at": "2025-06-04T10:39:37-03:00",
"deleted_at": null,
"active": false
},
{
"id": 5,
"green": 0,
"yellow": 0,
"red": 0,
"device_event_protocol_id": 5,
"device_event_measure_id": 5,
"created_at": "2025-06-04T10:39:37-03:00",
"modified_at": "2025-06-04T10:39:37-03:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 1,
"total_pages": 1,
"total_items": 5
}Version 3 > IOT > Device Event Measure Threshold
List
GET
/
api
/
v3
/
third_party
/
device_event_measure_thresholds
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
200 - application/json
OK
The response is of type object.

